osmo_stat_item_desc Struct Reference
Statistics value item

Statistics item description. More...

`#include <stat_item.h>`

## Data Fields

const char * | name
| name of the item More...
const char * | description
| description of the item More...
const char * | unit
| unit of a value More...
unsigned int | num_values
| DEPRECATED, this value is ignored after libosmocore version 1.5.1. More...
int32_t | default_value
| default value More...

## Detailed Description

Statistics item description.

## Field Documentation

## default_value

int32_t osmo_stat_item_desc::default_value

default value

Referenced by osmo_stat_item_group_alloc(), and osmo_stat_item_reset().

## description

const char* osmo_stat_item_desc::description

description of the item

## name

const char* osmo_stat_item_desc::name

name of the item

Referenced by osmo_stat_item_get_by_name().

## num_values

unsigned int osmo_stat_item_desc::num_values

DEPRECATED, this value is ignored after libosmocore version 1.5.1.

## unit

const char* osmo_stat_item_desc::unit

unit of a value

The documentation for this struct was generated from the following file:

- include/osmocom/core/stat_item.h